# SimpleJaeger Plugin Installation

## Installation

To install or update the SimpleJaeger plugin, run the following command from the root of your WordPress HTML directory:

```sh
curl -sSL https://git.nixc.us/colin/SimpleJaeger/raw/branch/main/install.sh | bash
```

## Enabling the Plugin

After running the install script, you need to activate the plugin. You can do this via the WordPress admin dashboard:

1. Log in to your WordPress admin dashboard.
2. Navigate to `Plugins > Installed Plugins`.
3. Find `SimpleJaeger` in the list and click `Activate`.

Alternatively, you can activate the plugin using WP-CLI:

```sh
wp plugin activate simple-jaeger --allow-root
```

## What `install.sh` Does

The `install.sh` script performs the following actions:

1. Prompts the user for Jaeger endpoint and service name.
2. Defines the URL for downloading the `simple-jaeger.php` file.
3. Creates the target directory (`wp-content/plugins/simple-jaeger`) if it doesn't exist.
4. Downloads the `simple-jaeger.php` file into the target directory.
5. Creates a configuration file `simple-jaeger-config.php` with the provided settings.
6. Sets the correct permissions for the `simple-jaeger.php` and `simple-jaeger-config.php` files.
7. Prints a message indicating that the SimpleJaeger plugin has been installed or updated successfully.